moeoOneObjectiveComparator(3)

NAME
moeoOneObjectiveComparator - Functor allowing to compare two solutions according to one objective.

SYNOPSIS

#include <moeoOneObjectiveComparator.h>

Inherits moeoComparator< MOEOT >< MOEOT >.

  Public Member Functions
moeoOneObjectiveComparator (unsigned int _obj)
Ctor.
const bool operator() (const MOEOT &_moeo1, const MOEOT &_moeo2)
Returns true if _moeo1 < _moeo2 on the obj objective.

  Private Attributes
unsigned int obj
the index of objective

Detailed Description

  template<class MOEOT> class moeoOneObjectiveComparator< MOEOT >
Functor allowing to compare two solutions according to one objective.

Definition at line 22 of file moeoOneObjectiveComparator.h.

Constructor & Destructor Documentation

  template<class MOEOT> moeoOneObjectiveComparator< MOEOT >::moeoOneObjectiveComparator (unsigned int _obj) [inline]

Ctor.

Parameters:
    _obj the index of objective

Definition at line 30 of file moeoOneObjectiveComparator.h.

References moeoOneObjectiveComparator< MOEOT >::obj.

Member Function Documentation

  template<class MOEOT> const bool moeoOneObjectiveComparator< MOEOT >::operator() (const MOEOT & _moeo1, const MOEOT & _moeo2) [inline]

Returns true if _moeo1 < _moeo2 on the obj objective.

Parameters:
    _moeo1 the first solution
    _moeo2 the second solution

Definition at line 44 of file moeoOneObjectiveComparator.h.

References moeoOneObjectiveComparator< MOEOT >::obj.

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.